### Name: seriate.dist
### Title: Seriation of objects in a dissimilarity matrix
### Aliases: seriate.dist seriate
### Keywords: optimize cluster

### ** Examples

data("iris")
x <- as.matrix(iris[-5])
x <- x[sample(1:nrow(x)),]
d <- dist(x)

## default seriation
order <- seriate(d)
order

## plot
def.par <- par(no.readonly = TRUE)
layout(cbind(1,2), respect = TRUE)

pimage(d, main = "Random")
pimage(d, order, main = "Reordered")

par(def.par)

## compare quality
rbind(
    random = criterion(d),
    reordered = criterion(d, order)
)




